#include "config.hpp"


std::vector<sk::host> sk::config::loadHostsFromToml(const fs::path& confFile) {
	std::vector<sk::host> hosts;
	
	auto config = toml::parse_file( confFile.string() );
	toml::table *server_section = config.get_as<toml::table>("serveurs");
	if (server_section == nullptr) {
		return hosts;
	}

    // Parcourir les serveurs
    for (const auto& [server_name_key, server_info_value] : *server_section) {
         std::string server_name{server_name_key};
         toml::table *server_info_ptr = server_info_value.as_table();
		 if (server_info_ptr == nullptr) {

		 }
		 toml::table &server_info = *server_info_ptr;

		 if(server_info.get_as<std::string>("ip") && server_info.get_as<int64_t>("nbContainerMax")){
          	std::string server_ip = server_info.get_as<std::string>("ip")->get();
          	int server_max_containers = server_info.get_as<int64_t>("nbContainerMax")->get();

			hosts.push_back(sk::host(server_ip,server_max_containers));
		 }
	}

	return hosts;
}

